Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1792008

Summary: CVE-2019-20019 matio: excessive memory allocation in Mat_VarRead5 in mat5.c [epel-7]
Product: [Fedora] Fedora EPEL Reporter: Guilherme de Almeida Suckevicz <gsuckevi>
Component: matioAssignee: Christian Dersch <lupinix.fedora>
Status: ON_QA --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: epel7CC: c.david86, gwync, lupinix.fedora
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1792006    

Description Guilherme de Almeida Suckevicz 2020-01-16 20:51:47 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of epel-7.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

Comment 1 Guilherme de Almeida Suckevicz 2020-01-16 20:51:49 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=low

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1792006,1792008

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2020-09-17 21:48:18 UTC
FEDORA-2020-5a44a95294 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-5a44a95294

Comment 3 Fedora Update System 2020-09-17 21:48:48 UTC
FEDORA-EPEL-2020-9720b9f379 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-9720b9f379

Comment 4 Fedora Update System 2020-09-17 21:48:50 UTC
FEDORA-2020-67cee1f30a has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-67cee1f30a

Comment 5 Fedora Update System 2020-09-17 21:49:17 UTC
FEDORA-EPEL-2020-e621d9ff68 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-e621d9ff68

Comment 6 Fedora Update System 2020-09-17 21:49:45 UTC
FEDORA-2020-6cc434b937 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-6cc434b937

Comment 7 Fedora Update System 2020-09-18 15:36:23 UTC
FEDORA-EPEL-2020-e621d9ff68 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-e621d9ff68

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-09-18 15:41:37 UTC
FEDORA-EPEL-2020-9720b9f379 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-9720b9f379

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-09-18 16:41:35 UTC
FEDORA-2020-6cc434b937 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-6cc434b937`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-6cc434b937

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-09-18 16:42:46 UTC
FEDORA-2020-5a44a95294 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-5a44a95294`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-5a44a95294

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-09-18 18:59:32 UTC
FEDORA-2020-67cee1f30a has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-67cee1f30a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-67cee1f30a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.